MUCListItem Class Reference

`#include <mucroomconfighandler.h>`

## Public Member Functions

| MUCListItem (const JID &jid)
| MUCListItem (const JID &jid, MUCRoomRole role, MUCRoomAffiliation affiliation, const std::string &nick)
| MUCListItem (const std::string &nick, MUCRoomAffiliation affiliation, const std::string &reason)
| MUCListItem (const std::string &nick, MUCRoomRole role, const std::string &reason)
| ~MUCListItem ()
const JID & | jid () const
const std::string & | nick () const
MUCRoomAffiliation | affiliation () const
MUCRoomRole | role () const
const std::string & | reason () const

## Detailed Description

An item in a list of MUC room users. Lists of these items are used when manipulating the lists of members, admins, owners, etc. of a room.

Author
  Jakob Schröter js@ca.nosp@m.maya.nosp@m..net

Since
  1.0

Definition at line 38 of file mucroomconfighandler.h.

## Constructor & Destructor Documentation

## MUCListItem() [1/4]

MUCListItem | ( | const JID & | jid | ) |

inline

Constructs a new object using the given JID.

Parameters

  jid | The item's JID.

Definition at line 45 of file mucroomconfighandler.h.

## MUCListItem() [2/4]

MUCListItem | ( | const JID & | jid,
|  | MUCRoomRole | role,
|  | MUCRoomAffiliation | affiliation,
|  | const std::string & | nick )

inline

Creates a new object, setting JID, affiliation, role, and nick.

Parameters

  jid | The item's JID.
  role | The item's role.
  affiliation | The item's affiliation.
  nick | The item's nick.

Definition at line 56 of file mucroomconfighandler.h.

## MUCListItem() [3/4]

MUCListItem | ( | const std::string & | nick,
|  | MUCRoomAffiliation | affiliation,
|  | const std::string & | reason )

inline

Creates a new object, using nick, affiliation and a reason.

Parameters

  nick | The item's nick.
  affiliation | The item's affiliation.
  reason | A reason.

Definition at line 67 of file mucroomconfighandler.h.

## MUCListItem() [4/4]

MUCListItem | ( | const std::string & | nick,
|  | MUCRoomRole | role,
|  | const std::string & | reason )

inline

Creates a new object, using nick, role and a reason.

Parameters

  nick | The item's nick.
  role | The item's role.
  reason | A reason.

Definition at line 78 of file mucroomconfighandler.h.

## ~MUCListItem()

~MUCListItem | ( |  | ) |

inline

Destructor. Deletes the `jid` member.

Definition at line 86 of file mucroomconfighandler.h.

## Member Function Documentation

## affiliation()

MUCRoomAffiliation affiliation | ( |  | ) | const

inline

Returns the item's affiliation.

Returns
  The item's affiliation.

Definition at line 104 of file mucroomconfighandler.h.

## jid()

const JID & jid | ( |  | ) | const

inline

Returns the item's JID.

Returns
  The item's JID.

Definition at line 92 of file mucroomconfighandler.h.

## nick()

const std::string & nick | ( |  | ) | const

inline

Returns the item's nick.

Returns
  The item's nick.

Definition at line 98 of file mucroomconfighandler.h.

## reason()

const std::string & reason | ( |  | ) | const

inline

Returns the reason.

Returns
  The reason.

Definition at line 116 of file mucroomconfighandler.h.

## role()

MUCRoomRole role | ( |  | ) | const

inline

Returns the item's role.

Returns
  The item's role.

Definition at line 110 of file mucroomconfighandler.h.

The documentation for this class was generated from the following file:

- mucroomconfighandler.h